跳至內容

Kling LipSync Text-to-Video

整合

模型 id kling-video/lipsync/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/lipsync/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice_id": "genshin_vindi2"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $0.14 140 API 點數 · ≈ ₽15.02 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
Kling 唇形同步與虛擬角色 唇形同步 #text-to-video#lipsync

讓影片中的人物使用可選的合成語音說出輸入文字,並可調整速度

在 Doitong 上製作

Doitong 社群使用 Kling LipSync 製作的公開作品。一鍵重複使用提示詞。

顯示的公開作品:16
影片

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

影片

Как остановить тревогу за 60 секунд. Когда она накатывает, начните с дыхания: медленно вдохните через нос на четыре счёта, задержите на четыре и мягко выдохните через рот на шесть. Повторите три раза — это сразу успокаивает нервную систему. Затем посмотрите вокруг и вслух назовите три вещи,...

影片

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

影片

Дорогой друг, если тревога внезапно накрыла, остановите её за шестьдесят секунд тремя простыми шагами. Сначала медленно вдохните носом на четыре секунды, задержите дыхание ещё на четыре и плавно выдохните ртом на шесть. Это сразу снижает активность симпатической нервной системы и даёт телу сигнал...

影片

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

影片

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

影片

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

影片

Как перестать всё контролировать? Я знаю, как тяжело постоянно держать всё в руках. Вот три простых шага, которые реально помогают. Сначала заметьте, когда внутри возникает напряжение, и сделайте три медленных выдоха длиннее вдохов. Это сразу включает спокойную часть нервной системы. Второй шаг:...

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 88 / 120

用於生成唇形同步影片的文字,限制為 120 個字元。

•必填 video_url
拖放檔案,或

用於唇形同步生成的影片 URL。接受大小不超過 100MB、長度為 2–60s 的 .mp4 或 .mov 檔案,且僅支援 720p 或 1080p;兩個尺寸都必須介於 720–1920px 之間。驗證失敗時會傳回錯誤。

•必填

用於語音合成的語音識別碼。

進階 voice_language · voice_speed · enable_safety_checker
voice_language 預設 en

與所選 Voice ID 相關聯的語言。

預設 1

從文字生成影片時使用的語速。

POST /run/kling-video/lipsync/text-to-video?wait=20 報價 → $0.14
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/lipsync/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice_id": "genshin_vindi2"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Kling LipSync Text-to-Video

從文字而非音訊檔案產生唇形同步語音。提供 `video_url`、最多 120 個字元的 `text`,以及從預設語音清單中選取的 `voice_id`。`voice_language` 可為 zh 或 en,`voice_speed` 範圍為 0.8 到 2。來源影片可以是 .mp4 或 .mov,大小上限為 100MB,長度為 2 到 60 秒,解析度為 720p 或 1080p。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
enable_safety_checker選填
類型boolean
預設值true
只有經帳戶授權才能停用安全檢查;未經授權的請求一律會接受檢查。
video_url必填 video
類型url · video
用於唇形同步生成的影片 URL。接受大小不超過 100MB、長度為 2–60s 的 .mp4 或 .mov 檔案,且僅支援 720p 或 1080p;兩個尺寸都必須介於 720–1920px 之間。驗證失敗時會傳回錯誤。
text必填
類型string
≤ 120 個字元
用於生成唇形同步影片的文字,限制為 120 個字元。
voice_id必填
類型enum
genshin_vindi2zhinen_xueshengAOTai_shatanggenshin_klee2genshin_kiraraai_kaiyaoversea_male1ai_chenjiahao_712girlfriend_4_speech02chat1_female_new-3chat_0407_5-1cartoon-boy-07uk_boy1cartoon-girl-01PeppaPig_platform
另有 30 個ai_huangzhong_712ai_huangyaoshi_712ai_laoguowang_712chengshu_jiejieyou_pingjingcalm_story1uk_man2laopopo_speech02heainainai_speech02reader_en_m-v1commercial_lady_en_f-v1tiyuxi_xueditiexin_nanyougirlfriend_1_speech02girlfriend_2_speech02zhuxi_speech02uk_oldman3dongbeilaotie_speech02chongqingxiaohuo_speech02chuanmeizi_speech02chaoshandashu_speech02ai_taiwan_man2_speech02xianzhanggui_speech02tianjinjiejie_speech02diyinnansang_DB_CN_M_04-v2yizhipiannan-v1guanxiaofang-v2tianmeixuemei-v1daopianyansang-v1mengwa-v1
用於語音合成的語音識別碼。
voice_language選填
類型enum
預設值en
zhen
與所選 Voice ID 相關聯的語言。
voice_speed選填
類型number
預設值1
0.8 – 2
從文字生成影片時使用的語速。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/lipsync/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 140,
    "usd": "0.14",
    "charged": 140,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice_id": "genshin_vindi2"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size}模型產生的影片。

更多模型:唇形同步與虛擬角色

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/kling-video/lipsync/text-to-video.md. 所有模型與指南: https://doitong.com/developers/llms.txt